package com.anyway.favor.dao;

import com.anyway.favor.model.Gift;

import java.util.Collection;

/**
 * 礼物数据层
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface GiftDao {

    /**
     * 根据主键ID查询
     *
     * @param id
     * @return
     */
    Gift findById(Long id);

    /**
     * 插入
     *
     * @param gift
     * @return
     */
    int add(Gift gift);

    /**
     * 更新
     *
     * @param gift
     * @return
     */
    int update(Gift gift);

    /**
     * 根据ID集合删除
     *
     * @param ids
     * @return
     */
    int deleteByIds(Collection<Long> ids);
}
