package com.anyway.favor.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 人情实体类
 * 
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class Favor extends BaseModel implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 666680999611094083L;
    /** id */
    private Long id;
    /** 举办日期 */
    @NotNull
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date holdDate;
    /** 标题 */
    @NotBlank
    private String title;
    /** 举办人 */
    @NotNull
    private Long holdPersonId;
    /** 收入金额 */
    @Min(0)
    private BigDecimal incomeAmount;
    /** 支出金额 */
    @Min(0)
    private BigDecimal payAmount;
    /** 备注 */
    private String remark;
}