package com.anyway.favor.service;

import com.anyway.favor.model.Person;
import com.anyway.util.PageQuery;

import java.util.List;
import java.util.Map;

/**
 * 人员业务接口
 *
 * @author anyway
 * @date 2024-02-20
 */
public interface PersonService {

    /**
     * 查询全部
     *
     * @return
     */
    List<Person> findAll();

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<Person> findByCondition(Map<String, Object> map);

    /**
     * 根据条件分页查询
     *
     * @param pageQuery
     * @return
     */
    List<Person> findPage(PageQuery<Map<String, Object>> pageQuery);

    /**
     * 添加
     *
     * @param person
     * @return
     */
    boolean add(Person person);

    /**
     * 更新
     *
     * @param person
     * @return
     */
    boolean update(Person person);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    Person findById(Long id);

    /**
     * 根据ID删除
     * @param id
     * @return
     */
    int delete(Long id);

}
