package com.anyway.util;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询条件
 *
 * @author liuchuanwei
 * @date 2024-02-25
 */
@Setter
@Getter
public class PageQuery<T> {
    /**
     * 分页信息
     */
    private Page page;

    /**
     * 查询条件
     */
    @JsonInclude(JsonInclude.Include.NON_ABSENT)
    @JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
    private T terms;

    public T getTerms(T t) {
        if (terms == null) {
            terms = t;
        }
        return terms;
    }

    public Page getPage() {
        if (page == null) {
            page = new Page(0, 10);
        }
        return this.page;
    }
}
